Retrieves runners that match a given query.
Body
The optional search request to execute. If not supplied then all runners are matched.
-
Deprecated, use cursor for a more scalable approach to paging.
-
To retrieve the next page of hits, set this to the cursor value of the previous response. When set, all other fields are ignored.
-
The maximum number of search results to return.
-
The container for all of the allowed Elasticsearch queries. Specify only one property each time.
-
An array of fields to sort the search results by. Defaults to query rank and last modified date descending.
POST
/platform/infrastructure/runners/_search
curl \
--request POST 'https://{{hostname}}/api/v1/platform/infrastructure/runners/_search' \
--user "username:password" \
--header "Content-Type: application/json" \
--data '{
"from": 42,
"cursor": "string",
"size": 42,
"query": {
"match": {
"additionalProperty1": {
"query": "string",
"operator": "string",
"minimum_should_match": 42,
"analyzer": "string"
},
"additionalProperty2": {
"query": "string",
"operator": "string",
"minimum_should_match": 42,
"analyzer": "string"
}
},
"match_all": {},
"match_none": {},
"term": {
"additionalProperty1": {
"value": "string"
},
"additionalProperty2": {
"value": "string"
}
},
"bool": {
"must": [
{}
],
"should": [
{}
],
"must_not": [
{}
],
"filter": [
{}
],
"minimum_should_match": 42
},
"query_string": {
"query": "string",
"default_field": "string",
"analyzer": "string",
"default_operator": "string",
"allow_leading_wildcard": true
},
"nested": {
"query": {},
"path": "string",
"score_mode": "avg"
},
"prefix": {
"additionalProperty1": {
"value": "string",
"boost": 42.0
},
"additionalProperty2": {
"value": "string",
"boost": 42.0
}
},
"exists": {
"field": "string"
},
"range": {
"additionalProperty1": {
"gt": {},
"gte": {},
"lt": {},
"lte": {},
"boost": 42.0,
"format": "string",
"time_zone": "string"
},
"additionalProperty2": {
"gt": {},
"gte": {},
"lt": {},
"lte": {},
"boost": 42.0,
"format": "string",
"time_zone": "string"
}
},
"simple_query_string": {
"query": "string",
"fields": [
"string"
],
"default_operator": "string",
"analyze_wildcard": true,
"analyzer": "string",
"auto_generate_synonyms_phrase_query": true,
"flags": "string",
"fuzzy_max_expansions": 42,
"fuzzy_prefix_length": 42,
"fuzzy_transpositions": true,
"lenient": true,
"minimum_should_match": "string",
"quote_field_suffix": "string"
}
},
"sort": [
{}
]
}'